Summary: BSD database library for C
Name: db
Version: 1.85
Release: 10
Source: ftp.cs.berkeley.edu:/ucb/4bsd/db.tar.gz
Patch0: db-1.85-1.85.2.diff
Patch1: db-1.85-sparc.diff
Copyright: BSD
ExcludeArch: alpha
Group: Libraries

%package devel
Summary: development libraries and header files for Berkelet database library
Group: Libraries

%description
DB provides routines for creating simple database indexes. It is used
by many applications, including Python and Perl, so this should
be installed on all systems.

%description devel
DB provides routines for creating simple database indexes. It allows you
to create hash, record number, or BTree indexes whose elements have
arbitrary sizes. This package contains the header files, libraries, and
documentation for building programs with use DB.

%prep
%setup -n db.1.85
%patch0 -p1
%ifarch sparc
%patch1 -p1
%endif

%build

cd PORT/linux
make 

make shared

%install

cd man
for n in *.3; do 
    install -m 644 -o 0 -g 0 $n /usr/man/man3
done

cd ../PORT/linux
export PATH=/sbin:$PATH
make install

ln -sf libdb.a /usr/lib/libndbm.a

/sbin/ldconfig
ln -sf libdb.so.2.0.0 /usr/lib/libdb.so
ln -sf libdb.so /usr/lib/libndbm.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libdb.so.2.0.0

%files devel
/usr/lib/libdb.a
/usr/lib/libndbm.a
/usr/include/mpool.h
/usr/include/db.h
/usr/include/ndbm.h
/usr/include/compat.h
/usr/man/man3/btree.3
/usr/man/man3/dbopen.3
/usr/man/man3/hash.3
/usr/man/man3/mpool.3
/usr/man/man3/recno.3
/usr/lib/libdb.so
/usr/lib/libndbm.so
